| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Genfun::GaudiMathImplementation::GSLSplineDeriv Class Reference

`#include <Splines.h>`

Collaboration diagram for Genfun::GaudiMathImplementation::GSLSplineDeriv:

[legend]
List of all members.

## Detailed Description

Definition at line 278 of file Splines.h.

## Public Types
typedef SplineBase::Data1D | Data1D
typedef SplineBase::Data2D | Data2D
## Public Member Functions
| FUNCTION_OBJECT_DEF (GSLSplineDeriv)
| mandatory macro from CLHEP/GenericFunctions
| GSLSplineDeriv (const Data1D &x, const Data1D &y, const GaudiMath::Interpolation::Type type)
| constructor from vectors and type
| GSLSplineDeriv (const Data2D &data, const GaudiMath::Interpolation::Type type)
| constructor from data vector
template<class DATAX, class DATAY>
| GSLSplineDeriv (const GaudiMath::Interpolation::Type type, DATAX begin_x, DATAX end_x, DATAY begin_y)
| templated constructor in the spirit of STL-algorithms
template<class DATA>
| GSLSplineDeriv (const GaudiMath::Interpolation::Type type, DATA begin, DATA end)
| templated constructor from the sequence of pairs as sequence of pairs the class TabulatedProperty can be used
| GSLSplineDeriv (const SplineBase &)
| constructor from SplineBase
| GSLSplineDeriv (const GSLSplineDeriv &)
| copy constructor
virtual | ~GSLSplineDeriv ()
| destructor
virtual double | operator() (double a) const
| main method: evaluate the function
virtual double | operator() (const Argument &x) const
| main method: evaluate the function
virtual unsigned int | dimensionality () const
virtual bool | hasAnalyticDerivative () const
| Does this function have an analytic derivative?
virtual Genfun::Derivative | partial (unsigned int i) const
| Derivatives.
const SplineBase & | spline () const
| acess to the spline function
| operator const SplineBase & () const
| cast operator to the spline function
## Private Member Functions
| GSLSplineDeriv ()
| default construtor is desabled ;
GSLSplineDeriv & | operator= (const GSLSplineDeriv &)
| assignement operator is desabled ;
## Private Attributes
SplineBase | m_spline

## Member Typedef Documentation

typedef SplineBase::Data1D Genfun::GaudiMathImplementation::GSLSplineDeriv::Data1D

Definition at line 281 of file Splines.h.

typedef SplineBase::Data2D Genfun::GaudiMathImplementation::GSLSplineDeriv::Data2D

Definition at line 282 of file Splines.h.

## Constructor & Destructor Documentation

Genfun::GaudiMathImplementation::GSLSplineDeriv::GSLSplineDeriv | ( | const Data1D & | x,
|  | const Data1D & | y,
|  | const GaudiMath::Interpolation::Type | type |
| ) |  |  |

constructor from vectors and type

       Data1D x = .. ;
       Data1D y = .. ;

       const AbsFunction& func =
            GSLSplineDeriv( x , y , GaudiMath::Interpolation::Cspline ) ;

       const double value = 1 ;
       const double result = func( value ) ;

Parameters:

  | x | vector of x
  | y | vector of y
  | type | interpolation type

Definition at line 315 of file Splines.cpp.

    00318       : AbsFunction ()
    00319       , m_spline ( x , y , type )
    00320     {}

Genfun::GaudiMathImplementation::GSLSplineDeriv::GSLSplineDeriv | ( | const Data2D & | data,
|  | const GaudiMath::Interpolation::Type | type |
| ) |  |  |

constructor from data vector

       Data2D data = ... ;

       const AbsFunction& func =
            GSLSpline( data , GaudiMath::Interpolation::Cspline );

       const double value = 1 ;
       const double result = func( value ) ;

Parameters:

  | data | vector of (x,y) pairs
  | type | interpolation type

Definition at line 344 of file Splines.cpp.

    00346       : AbsFunction ()
    00347       , m_spline    ( data , type )
    00348     {}

template<class DATAX, class DATAY>

Genfun::GaudiMathImplementation::GSLSplineDeriv::GSLSplineDeriv | ( | const GaudiMath::Interpolation::Type | type,
|  | DATAX | begin_x,
|  | DATAX | end_x,
|  | DATAY | begin_y |
| ) |  |  | `[inline]`

templated constructor in the spirit of STL-algorithms

It is assumed that vector "y" has tehlength AT LEAST as long as "x"

       SEQURNCE1 x = .. ;
       SEQUENCE2 y = .. ;

       const AbsFunction& func =
            GSLSpline( GaudiMath::Interpoaltion::Cspline ,
                       x.begin ()  ,
                       x.end   ()  ,
                       y.begin ()  );

       const double value = 1 ;
       const double result = func( value ) ;

Parameters:

  | begin_x | begin of X-sequence
  | end_x | end of X-sequence
  | begin_Y | begin of Y-sequence
  | type | interpolation type

Definition at line 360 of file Splines.h.

    00364         : AbsFunction ( )
    00365         , m_spline( type , begin_x , end_x , begin_y )
    00366       {};

template<class DATA>

Genfun::GaudiMathImplementation::GSLSplineDeriv::GSLSplineDeriv | ( | const GaudiMath::Interpolation::Type | type,
|  | DATA | begin,
|  | DATA | end |
| ) |  |  | `[inline]`

templated constructor from the sequence of pairs as sequence of pairs the class TabulatedProperty can be used

Parameters:

  | begin | begin of sequence of pairs
  | end | end of sequence of pairs
  | type | interpolation type

Definition at line 380 of file Splines.h.

    00383         : AbsFunction ( )
    00384         , m_spline( type , begin , end )
    00385       {};

Genfun::GaudiMathImplementation::GSLSplineDeriv::GSLSplineDeriv | ( | const SplineBase & |  | ) |

constructor from SplineBase

Definition at line 355 of file Splines.cpp.

    00356       : AbsFunction ()
    00357       , m_spline    ( right )
    00358     {}

Genfun::GaudiMathImplementation::GSLSplineDeriv::GSLSplineDeriv | ( | const GSLSplineDeriv & |  | ) |

copy constructor

Definition at line 365 of file Splines.cpp.

    00366       : AbsFunction ()
    00367       , m_spline    ( right  )
    00368     {}

Genfun::GaudiMathImplementation::GSLSplineDeriv::~GSLSplineDeriv | ( |  | ) | `[virtual]`

destructor

Definition at line 374 of file Splines.cpp.

    00374 {}

Genfun::GaudiMathImplementation::GSLSplineDeriv::GSLSplineDeriv | ( |  | ) | `[private]`

default construtor is desabled ;

## Member Function Documentation

Genfun::GaudiMathImplementation::GSLSplineDeriv::FUNCTION_OBJECT_DEF | ( | GSLSplineDeriv |  | ) |

mandatory macro from CLHEP/GenericFunctions

double Genfun::GaudiMathImplementation::GSLSplineDeriv::operator() | ( | double | a | ) | const`[virtual]`

main method: evaluate the function

Definition at line 378 of file Splines.cpp.

References Genfun::GaudiMathImplementation::SplineBase::deriv(), and m_spline.

    00379     { return m_spline.deriv ( x    ) ; }

double Genfun::GaudiMathImplementation::GSLSplineDeriv::operator() | ( | const Argument & | x | ) | const`[virtual]`

main method: evaluate the function

Definition at line 381 of file Splines.cpp.

References Genfun::GaudiMathImplementation::SplineBase::deriv(), and m_spline.

    00382     { return m_spline.deriv ( x[0] ) ; }

virtual unsigned int Genfun::GaudiMathImplementation::GSLSplineDeriv::dimensionality | ( |  | ) | const`[inline, virtual]`

Definition at line 397 of file Splines.h.

    00397 { return 1   ; }

virtual bool Genfun::GaudiMathImplementation::GSLSplineDeriv::hasAnalyticDerivative | ( |  | ) | const`[inline, virtual]`

Does this function have an analytic derivative?

Definition at line 399 of file Splines.h.

    00399 { return true ; }

Genfun::Derivative Genfun::GaudiMathImplementation::GSLSplineDeriv::partial | ( | unsigned int | i | ) | const`[virtual]`

Derivatives.

Definition at line 388 of file Splines.cpp.

    00389     {
    00390       if ( i >= 1 )
    00391       {
    00392         const AbsFunction& aux = GaudiMath::Constant( 0.0 , 1 ) ;
    00393         return Genfun::FunctionNoop( &aux ) ;
    00394       }
    00395       const AbsFunction& aux = GSLSplineDeriv2( *this ) ;
    00396       return Genfun::FunctionNoop( &aux ) ;
    00397     };

const SplineBase& Genfun::GaudiMathImplementation::GSLSplineDeriv::spline | ( |  | ) | const`[inline]`

acess to the spline function

Definition at line 404 of file Splines.h.

References m_spline.

Referenced by operator const SplineBase &().

    00404 { return m_spline ; }

Genfun::GaudiMathImplementation::GSLSplineDeriv::operator const SplineBase & | ( |  | ) | const`[inline]`

cast operator to the spline function

Definition at line 406 of file Splines.h.

References spline().

    00406 { return spline() ; }

GSLSplineDeriv& Genfun::GaudiMathImplementation::GSLSplineDeriv::operator= | ( | const GSLSplineDeriv & |  | ) | `[private]`

assignement operator is desabled ;

## Member Data Documentation

SplineBase Genfun::GaudiMathImplementation::GSLSplineDeriv::m_spline`[private]`

Definition at line 414 of file Splines.h.

Referenced by operator()(), and spline().

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiGSL/v6r9/GaudiMath/Splines.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiGSL/v6r9/src/Lib/Splines.cpp